List quality gate for a dataset version
GET
/v1/dataset-versions/{versionId}/quality-gatecurl -X GET 'https://api.embodiflow.io/v1/dataset-versions/{versionId}/quality-gate' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- versionIdstring必填
查询参数
- runIdstring (uuid)
Detail truth for a specific run instead of the latest run per version.
响应
Gate outcome computed from persisted blocking findings of the latest run (or the run named by workflowRunId). estimatedSavings arrives with the W5 gate execution path.
- dataobject必填
- datasetVersionIdstring必填
- outcomestring必填可选值blockednot_evaluatedpassed
- notEvaluatedReasonstring | null必填可选值never_evaluatedno_verdict_findings
- workflowRunIdstring | null必填
- policySnapshotHashstring | null必填
- blockedFileIdsarray<string>必填
- blockedEpisodeCountnumber必填
- blockingFindingCountnumber必填
- causesarray<QualityGateCauseDto>必填
- estimatedSavingsobject
响应示例
{
"data": {
"datasetVersionId": "string",
"outcome": "blocked",
"notEvaluatedReason": "never_evaluated",
"workflowRunId": "string",
"policySnapshotHash": "string",
"blockedFileIds": [
"string"
],
"blockedEpisodeCount": 0,
"blockingFindingCount": 0,
"causes": [
{
"findingId": "string",
"checkId": "string",
"bindingIdentity": "string",
"scopeType": "string",
"scopeRef": "string",
"datasetVersionFileId": "string",
"datasetVersionItemId": "string",
"severity": "string",
"message": "string",
"workflowRunId": "string"
}
],
"estimatedSavings": {
"label": "estimate",
"basis": "blocked-files",
"fileCount": 0,
"episodesBlocked": 0,
"totalBytes": 0,
"canonicalizeMinutes": 0,
"annotateMinutes": 0
}
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1